Loading...
Searching...
No Matches
QXmppRosterIq Class Reference
Stanzas

The QXmppRosterIq class represents a roster IQ. More...

`#include <QXmppRosterIq.h>`

Inheritance diagram for QXmppRosterIq:
[legend]
Collaboration diagram for QXmppRosterIq:
[legend]

## Classes

class | Item
| The QXmppRosterIq::Item class represents a roster entry. More...

## Public Member Functions

| QXmppRosterIq (const QXmppRosterIq &)
| Default copy-constructor.
| QXmppRosterIq (QXmppRosterIq &&)
| Default move-constructor.
QXmppRosterIq & | operator= (const QXmppRosterIq &)
| Default assignment operator.
QXmppRosterIq & | operator= (QXmppRosterIq &&)
| Default move-assignment operator.
QString | version () const
void | setVersion (const QString &)
QList< Item > | items () const
void | setItems (const QList< Item > &)
void | addItem (const Item &)
bool | mixAnnotate () const
void | setMixAnnotate (bool)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
| QXmppIq (QXmppIq &&)
| Default move-constructor.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq & | operator= (QXmppIq &&)
| Move-assignment operator.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
| QXmppStanza (QXmppStanza &&)
| Move constructor.
| ~QXmppStanza () override
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QXmppStanza & | operator= (QXmppStanza &&)
| Move-assignment operator.
QString | to () const
void | setTo (const QString &)
QString | from () const
void | setFrom (const QString &)
QString | id () const
void | setId (const QString &)
QString | lang () const
void | setLang (const QString &)
QXmppStanza::Error | error () const
std::optional< Error > | errorOptional () const
void | setError (const QXmppStanza::Error &error)
void | setError (const std::optional< Error > &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
std::optional< QXmppE2eeMetadata > | e2eeMetadata () const
void | setE2eeMetadata (const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
Public Member Functions inherited from QXmppNonza
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Detailed Description

The QXmppRosterIq class represents a roster IQ.

## Member Function Documentation

## addItem()

void QXmppRosterIq::addItem | ( | const Item & | item | ) |

Adds an item to the roster IQ.

Parameters

  item |

## items()

QList< QXmppRosterIq::Item > QXmppRosterIq::items | ( |  | ) | const

Returns the roster IQ's items.

## mixAnnotate()

bool QXmppRosterIq::mixAnnotate | ( |  | ) | const

Whether to annotate which items are MIX channels.

Since
  QXmpp 1.3

## setItems()

void QXmppRosterIq::setItems | ( | const QList< Item > & | items | ) |

Sets the roster IQ's items.

Since
  QXmpp 1.8

## setMixAnnotate()

void QXmppRosterIq::setMixAnnotate | ( | bool | mixAnnotate | ) |

Sets whether to include which roster items are MIX channels. This MUST only be enabled in get requests.

Since
  QXmpp 1.3

## setVersion()

void QXmppRosterIq::setVersion | ( | const QString & | version | ) |

Sets the roster version of IQ.

Parameters

  version | as a QString

Since
  QXmpp 1.0

## version()

QString QXmppRosterIq::version | ( |  | ) | const

Returns the roster version of IQ.

Returns
  version as a QString

Since
  QXmpp 1.0

The documentation for this class was generated from the following files:

- QXmppRosterIq.h
- QXmppRosterIq.cpp